Index: /main/trunk/gs2-core/Makefile.am
===================================================================
--- /main/trunk/gs2-core/Makefile.am	(revision 22727)
+++ /main/trunk/gs2-core/Makefile.am	(revision 22728)
@@ -1,25 +1,9 @@
 ###########################################################################
 #
-# Makefile -- Makefile for top-level
+# Makefile -- Makefile for gs2-core
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/Makefile.in
===================================================================
--- /main/trunk/gs2-core/Makefile.in	(revision 22727)
+++ /main/trunk/gs2-core/Makefile.in	(revision 22728)
@@ -17,25 +17,9 @@
 ###########################################################################
 #
-# Makefile -- Makefile for top-level
+# Makefile -- Makefile for gs2-core
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/build-src/Makefile.am
===================================================================
--- /main/trunk/gs2-core/build-src/Makefile.am	(revision 22727)
+++ /main/trunk/gs2-core/build-src/Makefile.am	(revision 22728)
@@ -3,23 +3,7 @@
 # Makefile -- Makefile for build-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/build-src/Makefile.in
===================================================================
--- /main/trunk/gs2-core/build-src/Makefile.in	(revision 22727)
+++ /main/trunk/gs2-core/build-src/Makefile.in	(revision 22728)
@@ -19,23 +19,7 @@
 # Makefile -- Makefile for build-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/build-src/configure.ac
===================================================================
--- /main/trunk/gs2-core/build-src/configure.ac	(revision 22727)
+++ /main/trunk/gs2-core/build-src/configure.ac	(revision 22728)
@@ -3,23 +3,7 @@
 # configure -- Configure script for build-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/build-src/win32.mak
===================================================================
--- /main/trunk/gs2-core/build-src/win32.mak	(revision 22727)
+++ /main/trunk/gs2-core/build-src/win32.mak	(revision 22728)
@@ -3,23 +3,7 @@
 # win32.mak -- Windows Makefile for build-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/common-src/Makefile.am
===================================================================
--- /main/trunk/gs2-core/common-src/Makefile.am	(revision 22727)
+++ /main/trunk/gs2-core/common-src/Makefile.am	(revision 22728)
@@ -3,23 +3,7 @@
 # Makefile -- Makefile for common-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/common-src/Makefile.in
===================================================================
--- /main/trunk/gs2-core/common-src/Makefile.in	(revision 22727)
+++ /main/trunk/gs2-core/common-src/Makefile.in	(revision 22728)
@@ -19,23 +19,7 @@
 # Makefile -- Makefile for common-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/common-src/configure.ac
===================================================================
--- /main/trunk/gs2-core/common-src/configure.ac	(revision 22727)
+++ /main/trunk/gs2-core/common-src/configure.ac	(revision 22728)
@@ -3,23 +3,7 @@
 # configure -- Configure script for common-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/common-src/win32.mak
===================================================================
--- /main/trunk/gs2-core/common-src/win32.mak	(revision 22727)
+++ /main/trunk/gs2-core/common-src/win32.mak	(revision 22728)
@@ -3,23 +3,7 @@
 # win32.mak -- Windows Makefile for common-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/configure.ac
===================================================================
--- /main/trunk/gs2-core/configure.ac	(revision 22727)
+++ /main/trunk/gs2-core/configure.ac	(revision 22728)
@@ -1,25 +1,9 @@
 ###########################################################################
 #
-# configure -- Configure script for top-level
+# configure -- Configure script for gs2-core
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/runtime-src/Makefile.am
===================================================================
--- /main/trunk/gs2-core/runtime-src/Makefile.am	(revision 22727)
+++ /main/trunk/gs2-core/runtime-src/Makefile.am	(revision 22728)
@@ -3,23 +3,7 @@
 # Makefile -- Makefile for runtime-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/runtime-src/Makefile.in
===================================================================
--- /main/trunk/gs2-core/runtime-src/Makefile.in	(revision 22727)
+++ /main/trunk/gs2-core/runtime-src/Makefile.in	(revision 22728)
@@ -19,23 +19,7 @@
 # Makefile -- Makefile for runtime-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/runtime-src/configure.ac
===================================================================
--- /main/trunk/gs2-core/runtime-src/configure.ac	(revision 22727)
+++ /main/trunk/gs2-core/runtime-src/configure.ac	(revision 22728)
@@ -3,23 +3,7 @@
 # configure -- Configure script for runtime-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/runtime-src/win32.mak
===================================================================
--- /main/trunk/gs2-core/runtime-src/win32.mak	(revision 22727)
+++ /main/trunk/gs2-core/runtime-src/win32.mak	(revision 22728)
@@ -3,23 +3,7 @@
 # win32.mak -- Windows Makefile for runtime-src
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################
Index: /main/trunk/gs2-core/win32.mak
===================================================================
--- /main/trunk/gs2-core/win32.mak	(revision 22727)
+++ /main/trunk/gs2-core/win32.mak	(revision 22728)
@@ -1,25 +1,9 @@
 ###########################################################################
 #
-# win32.mak -- Windows Makefile for top-level
+# win32.mak -- Windows Makefile for gs2-core
 #
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
+# By Michael Dewsnip
 #
-# Copyright (C) 1999-2010  The New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Copyright (C) 2010  DL Consulting Ltd.
 #
 ###########################################################################