Index: main/trunk/greenstone2/common-src/src/lib/cnfgable.cpp
===================================================================
--- main/trunk/greenstone2/common-src/src/lib/cnfgable.cpp	(revision 22736)
+++ main/trunk/greenstone2/common-src/src/lib/cnfgable.cpp	(revision 22737)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * cnfgable.cpp -- 
+ *
+ * Copyright (C) 2001-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #if defined(GSDL_USE_OBJECTSPACE)
 #  include <ospace/std/iostream>
Index: main/trunk/greenstone2/common-src/src/lib/cnfgable.h
===================================================================
--- main/trunk/greenstone2/common-src/src/lib/cnfgable.h	(revision 22736)
+++ main/trunk/greenstone2/common-src/src/lib/cnfgable.h	(revision 22737)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * cnfgable.h -- 
+ *
+ * Copyright (C) 2001-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #ifndef CONFIGURABLE_H
 #define CONFIGURABLE_H
Index: main/trunk/greenstone2/common-src/src/lib/cnfgator.cpp
===================================================================
--- main/trunk/greenstone2/common-src/src/lib/cnfgator.cpp	(revision 22736)
+++ main/trunk/greenstone2/common-src/src/lib/cnfgator.cpp	(revision 22737)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * cnfgator.cpp -- 
+ *
+ * Copyright (C) 2001-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #if defined(GSDL_USE_OBJECTSPACE)
 #  include <ospace/std/iostream>
Index: main/trunk/greenstone2/common-src/src/lib/cnfgator.h
===================================================================
--- main/trunk/greenstone2/common-src/src/lib/cnfgator.h	(revision 22736)
+++ main/trunk/greenstone2/common-src/src/lib/cnfgator.h	(revision 22737)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * cnfgator.h -- 
+ *
+ * Copyright (C) 2001-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #if defined(GSDL_USE_OBJECTSPACE)
 #  include <ospace/std/vector>