Index: main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am
===================================================================
--- main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am	(revision 22745)
+++ main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am	(revision 22746)
@@ -58,5 +58,4 @@
 	pageaction.cpp \
 	pagedbrowserclass.cpp \
-	phindaction.cpp \
 	phindbrowserclass.cpp \
 	pingaction.cpp \
Index: main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in
===================================================================
--- main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in	(revision 22745)
+++ main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in	(revision 22746)
@@ -95,5 +95,4 @@
 	library_cgi-maincfg.$(OBJEXT) library_cgi-pageaction.$(OBJEXT) \
 	library_cgi-pagedbrowserclass.$(OBJEXT) \
-	library_cgi-phindaction.$(OBJEXT) \
 	library_cgi-phindbrowserclass.$(OBJEXT) \
 	library_cgi-pingaction.$(OBJEXT) \
@@ -265,5 +264,4 @@
 	pageaction.cpp \
 	pagedbrowserclass.cpp \
-	phindaction.cpp \
 	phindbrowserclass.cpp \
 	pingaction.cpp \
@@ -384,5 +382,4 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-pageaction.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-pagedbrowserclass.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-phindaction.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-phindbrowserclass.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-pingaction.Po@am__quote@
@@ -847,18 +844,4 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-pagedbrowserclass.obj `if test -f 'pagedbrowserclass.cpp'; then $(CYGPATH_W) 'pagedbrowserclass.cpp'; else $(CYGPATH_W) '$(srcdir)/pagedbrowserclass.cpp'; fi`
-
-library_cgi-phindaction.o: phindaction.cpp
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT library_cgi-phindaction.o -MD -MP -MF "$(DEPDIR)/library_cgi-phindaction.Tpo" -c -o library_cgi-phindaction.o `test -f 'phindaction.cpp' || echo '$(srcdir)/'`phindaction.cpp; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/library_cgi-phindaction.Tpo" "$(DEPDIR)/library_cgi-phindaction.Po"; else rm -f "$(DEPDIR)/library_cgi-phindaction.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='phindaction.cpp' object='library_cgi-phindaction.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-phindaction.o `test -f 'phindaction.cpp' || echo '$(srcdir)/'`phindaction.cpp
-
-library_cgi-phindaction.obj: phindaction.cpp
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT library_cgi-phindaction.obj -MD -MP -MF "$(DEPDIR)/library_cgi-phindaction.Tpo" -c -o library_cgi-phindaction.obj `if test -f 'phindaction.cpp'; then $(CYGPATH_W) 'phindaction.cpp'; else $(CYGPATH_W) '$(srcdir)/phindaction.cpp'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/library_cgi-phindaction.Tpo" "$(DEPDIR)/library_cgi-phindaction.Po"; else rm -f "$(DEPDIR)/library_cgi-phindaction.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='phindaction.cpp' object='library_cgi-phindaction.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-phindaction.obj `if test -f 'phindaction.cpp'; then $(CYGPATH_W) 'phindaction.cpp'; else $(CYGPATH_W) '$(srcdir)/phindaction.cpp'; fi`
 
 library_cgi-phindbrowserclass.o: phindbrowserclass.cpp
Index: main/trunk/gs2-core/runtime-src/src/recpt/win32.mak
===================================================================
--- main/trunk/gs2-core/runtime-src/src/recpt/win32.mak	(revision 22745)
+++ main/trunk/gs2-core/runtime-src/src/recpt/win32.mak	(revision 22746)
@@ -56,5 +56,4 @@
 	pageaction.obj \
 	pagedbrowserclass.obj \
-	phindaction.obj \
 	phindbrowserclass.obj \
 	pingaction.obj \