Index: /main/trunk/gs2-core/common-src/src/lib/Makefile.am
===================================================================
--- /main/trunk/gs2-core/common-src/src/lib/Makefile.am	(revision 22794)
+++ /main/trunk/gs2-core/common-src/src/lib/Makefile.am	(revision 22795)
@@ -33,5 +33,4 @@
 	gsdlunicode.cpp \
 	infodbclass.cpp \
-	md5.cpp \
 	OIDtools.cpp \
 	phrases.cpp \
Index: /main/trunk/gs2-core/common-src/src/lib/Makefile.in
===================================================================
--- /main/trunk/gs2-core/common-src/src/lib/Makefile.in	(revision 22794)
+++ /main/trunk/gs2-core/common-src/src/lib/Makefile.in	(revision 22795)
@@ -68,6 +68,6 @@
 	dbclass.cpp display.cpp fileutil.cpp gsdlsitecfg.cpp \
 	gsdltimes.cpp gsdltools.cpp gsdlunicode.cpp infodbclass.cpp \
-	md5.cpp OIDtools.cpp phrases.cpp sqldbclass.cpp text_t.cpp \
-	unitool.cpp sqlitedbclass.cpp
+	OIDtools.cpp phrases.cpp sqldbclass.cpp text_t.cpp unitool.cpp \
+	sqlitedbclass.cpp
 @USE_SQLITE_TRUE@am__objects_1 = libgsdllib_a-sqlitedbclass.$(OBJEXT)
 am_libgsdllib_a_OBJECTS = libgsdllib_a-cfgread.$(OBJEXT) \
@@ -79,5 +79,5 @@
 	libgsdllib_a-gsdltools.$(OBJEXT) \
 	libgsdllib_a-gsdlunicode.$(OBJEXT) \
-	libgsdllib_a-infodbclass.$(OBJEXT) libgsdllib_a-md5.$(OBJEXT) \
+	libgsdllib_a-infodbclass.$(OBJEXT) \
 	libgsdllib_a-OIDtools.$(OBJEXT) libgsdllib_a-phrases.$(OBJEXT) \
 	libgsdllib_a-sqldbclass.$(OBJEXT) \
@@ -194,6 +194,6 @@
 	dbclass.cpp display.cpp fileutil.cpp gsdlsitecfg.cpp \
 	gsdltimes.cpp gsdltools.cpp gsdlunicode.cpp infodbclass.cpp \
-	md5.cpp OIDtools.cpp phrases.cpp sqldbclass.cpp text_t.cpp \
-	unitool.cpp $(am__append_2)
+	OIDtools.cpp phrases.cpp sqldbclass.cpp text_t.cpp unitool.cpp \
+	$(am__append_2)
 all: all-am
 
@@ -255,5 +255,4 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdllib_a-gsdlunicode.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdllib_a-infodbclass.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdllib_a-md5.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdllib_a-phrases.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdllib_a-sqldbclass.Po@am__quote@
@@ -429,18 +428,4 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdllib_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libgsdllib_a-infodbclass.obj `if test -f 'infodbclass.cpp'; then $(CYGPATH_W) 'infodbclass.cpp'; else $(CYGPATH_W) '$(srcdir)/infodbclass.cpp'; fi`
-
-libgsdllib_a-md5.o: md5.cpp
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdllib_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libgsdllib_a-md5.o -MD -MP -MF "$(DEPDIR)/libgsdllib_a-md5.Tpo" -c -o libgsdllib_a-md5.o `test -f 'md5.cpp' || echo '$(srcdir)/'`md5.cpp; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libgsdllib_a-md5.Tpo" "$(DEPDIR)/libgsdllib_a-md5.Po"; else rm -f "$(DEPDIR)/libgsdllib_a-md5.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='md5.cpp' object='libgsdllib_a-md5.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdllib_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libgsdllib_a-md5.o `test -f 'md5.cpp' || echo '$(srcdir)/'`md5.cpp
-
-libgsdllib_a-md5.obj: md5.cpp
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdllib_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libgsdllib_a-md5.obj -MD -MP -MF "$(DEPDIR)/libgsdllib_a-md5.Tpo" -c -o libgsdllib_a-md5.obj `if test -f 'md5.cpp'; then $(CYGPATH_W) 'md5.cpp'; else $(CYGPATH_W) '$(srcdir)/md5.cpp'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libgsdllib_a-md5.Tpo" "$(DEPDIR)/libgsdllib_a-md5.Po"; else rm -f "$(DEPDIR)/libgsdllib_a-md5.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='md5.cpp' object='libgsdllib_a-md5.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdllib_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libgsdllib_a-md5.obj `if test -f 'md5.cpp'; then $(CYGPATH_W) 'md5.cpp'; else $(CYGPATH_W) '$(srcdir)/md5.cpp'; fi`
 
 libgsdllib_a-OIDtools.o: OIDtools.cpp
Index: /main/trunk/gs2-core/common-src/src/lib/win32.mak
===================================================================
--- /main/trunk/gs2-core/common-src/src/lib/win32.mak	(revision 22794)
+++ /main/trunk/gs2-core/common-src/src/lib/win32.mak	(revision 22795)
@@ -32,5 +32,4 @@
 	gsdlunicode.obj \
 	infodbclass.obj \
-	md5.obj \
 	OIDtools.obj \
 	phrases.obj \