Index: /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am	(revision 22798)
+++ /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am	(revision 22799)
@@ -66,5 +66,4 @@
 	statusaction.cpp \
 	string_pool.cpp \
-	summarise.cpp \
 	tipaction.cpp \
 	userdb.cpp \
Index: /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in	(revision 22798)
+++ /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in	(revision 22799)
@@ -103,5 +103,4 @@
 	library_cgi-statusaction.$(OBJEXT) \
 	library_cgi-string_pool.$(OBJEXT) \
-	library_cgi-summarise.$(OBJEXT) \
 	library_cgi-tipaction.$(OBJEXT) library_cgi-userdb.$(OBJEXT) \
 	library_cgi-usersaction.$(OBJEXT) \
@@ -272,5 +271,4 @@
 	statusaction.cpp \
 	string_pool.cpp \
-	summarise.cpp \
 	tipaction.cpp \
 	userdb.cpp \
@@ -390,5 +388,4 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-statusaction.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-string_pool.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-summarise.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-tipaction.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-userdb.Po@am__quote@
@@ -956,18 +953,4 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-string_pool.obj `if test -f 'string_pool.cpp'; then $(CYGPATH_W) 'string_pool.cpp'; else $(CYGPATH_W) '$(srcdir)/string_pool.cpp'; fi`
-
-library_cgi-summarise.o: summarise.cpp
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT library_cgi-summarise.o -MD -MP -MF "$(DEPDIR)/library_cgi-summarise.Tpo" -c -o library_cgi-summarise.o `test -f 'summarise.cpp' || echo '$(srcdir)/'`summarise.cpp; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/library_cgi-summarise.Tpo" "$(DEPDIR)/library_cgi-summarise.Po"; else rm -f "$(DEPDIR)/library_cgi-summarise.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='summarise.cpp' object='library_cgi-summarise.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-summarise.o `test -f 'summarise.cpp' || echo '$(srcdir)/'`summarise.cpp
-
-library_cgi-summarise.obj: summarise.cpp
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT library_cgi-summarise.obj -MD -MP -MF "$(DEPDIR)/library_cgi-summarise.Tpo" -c -o library_cgi-summarise.obj `if test -f 'summarise.cpp'; then $(CYGPATH_W) 'summarise.cpp'; else $(CYGPATH_W) '$(srcdir)/summarise.cpp'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/library_cgi-summarise.Tpo" "$(DEPDIR)/library_cgi-summarise.Po"; else rm -f "$(DEPDIR)/library_cgi-summarise.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='summarise.cpp' object='library_cgi-summarise.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-summarise.obj `if test -f 'summarise.cpp'; then $(CYGPATH_W) 'summarise.cpp'; else $(CYGPATH_W) '$(srcdir)/summarise.cpp'; fi`
 
 library_cgi-tipaction.o: tipaction.cpp
Index: /main/trunk/gs2-core/runtime-src/src/recpt/win32.mak
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/recpt/win32.mak	(revision 22798)
+++ /main/trunk/gs2-core/runtime-src/src/recpt/win32.mak	(revision 22799)
@@ -65,5 +65,4 @@
 	statusaction.obj \
 	string_pool.obj \
-	summarise.obj \
 	tipaction.obj \
 	userdb.obj \