Index: main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml
===================================================================
--- main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml	(revision 22800)
+++ main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml	(revision 22801)
@@ -42,5 +42,5 @@
 		<property name="software.archive.windows" value="http://www.greenstone.org/caveat-emptor/cdrom-components-${version}-candidate-${date}-windows.tar.gz"/>
 		<property name="software.archive.mac" value="http://www.greenstone.org/caveat-emptor/cdrom-components-${version}-candidate-${date}-mac.tar.gz"/>
-		<property name="software.archive.documented-examples" value="http://www.greenstone.org/caveat-emptor/Greenstone-documented-examples-${version}-candidate-${date}.tar.gz"/>
+		<property name="software.archive.documented-examples" value="http://www.greenstone.org/caveat-emptor/Greenstone-documented-examples-${date}.tar.gz"/>
 		
 		<!-- show the properties we're using -->
@@ -231,22 +231,21 @@
 
 		<!-- top off manuals with a few more from the web -->
-		<get src="http://wiki.greenstone.org/wiki/gsdoc/others/CDS-ISIS_to_DL.pdf" dest="cdrom/Documentation/English/CDS-ISIS_to_DL.pdf"/>
-		<get src="http://www.greenstone.org/docs/inside_greenstone.pdf" dest="cdrom/Documentation/English/inside_greenstone.pdf"/>
-
-		<get src="http://www.greenstone.org/manuals/gsdl2/ar/pdf/Users_Guide_Arabic.doc" dest="cdrom/Documentation/Arabic/Users_Guide_Arabic.doc"/>
-		<get src="http://www.greenstone.org/manuals/gsdl2/ar/pdf/Install_ar.pdf" dest="cdrom/Documentation/Arabic/Install_ar.pdf"/>
+		<antcall target="get-doc"><param name="docsrc" value="http://wiki.greenstone.org/wiki/gsdoc/others/CDS-ISIS_to_DL.pdf"/><param name="docdest" value="cdrom/Documentation/English/CDS-ISIS_to_DL.pdf"/></antcall>
+		<antcall target="get-doc"><param name="docsrc" value="http://www.greenstone.org/docs/inside_greenstone.pdf"/><param name="docdest" value="cdrom/Documentation/English/inside_greenstone.pdf"/></antcall>
+		<antcall target="get-doc"><param name="docsrc" value="http://www.greenstone.org/manuals/gsdl2/ar/pdf/Users_Guide_Arabic.doc"/><param name="docdest" value="cdrom/Documentation/Arabic/Users_Guide_Arabic.doc"/></antcall>
+		<antcall target="get-doc"><param name="docsrc" value="http://www.greenstone.org/manuals/gsdl2/ar/pdf/Install_ar.pdf"/><param name="docdest" value="cdrom/Documentation/Arabic/Install_ar.pdf"/></antcall>
 
 		<mkdir dir="cdrom/Documentation/Brazilian Portuguese"/>
-		<get src="http://www.greenstone.org/manuals/gsdl2/pt-br/pdf/Install_pt-br.pdf" dest="cdrom/Documentation/Brazilian Portuguese/Install_pt-br.pdf"/>
+		<antcall target="get-doc"><param name="docsrc" value="http://www.greenstone.org/manuals/gsdl2/pt-br/pdf/Install_pt-br.pdf"/><param name="docdest" value="cdrom/Documentation/Brazilian Portuguese/Install_pt-br.pdf"/></antcall>
 
 		<mkdir dir="cdrom/Documentation/Vietnamese"/>
-		<get src="http://prdownloads.sourceforge.net/greenstone/Install-2.39-vi.pdf" dest="cdrom/Documentation/Vietnamese/Install-2.39-vi.pdf"/>
-		<get src="http://prdownloads.sourceforge.net/greenstone/User-2.39-vi.pdf" dest="cdrom/Documentation/Vietnamese/User-2.39-vi.pdf"/>
-		<get src="http://prdownloads.sourceforge.net/greenstone/Paper-2.39-vi.pdf" dest="cdrom/Documentation/Vietnamese/Paper-2.39-vi.pdf"/>
+		<antcall target="get-doc"><param name="docsrc" value="http://prdownloads.sourceforge.net/greenstone/Install-2.39-vi.pdf"/><param name="docdest" value="cdrom/Documentation/Vietnamese/Install-2.39-vi.pdf"/></antcall>	
+		<antcall target="get-doc"><param name="docsrc" value="http://prdownloads.sourceforge.net/greenstone/User-2.39-vi.pdf"/><param name="docdest" value="cdrom/Documentation/Vietnamese/User-2.39-vi.pdf"/></antcall>
+		<antcall target="get-doc"><param name="docsrc" value="http://prdownloads.sourceforge.net/greenstone/Paper-2.39-vi.pdf"/><param name="docdest" value="cdrom/Documentation/Vietnamese/Paper-2.39-vi.pdf"/></antcall>
 
 		<mkdir dir="cdrom/Documentation/Kazakh"/>
-		<get src="http://prdownloads.sourceforge.net/greenstone/Install-2.39-kz.pdf" dest="cdrom/Documentation/Kazakh/Install-2.39-kz.pdf"/>
-		<get src="http://prdownloads.sourceforge.net/greenstone/User-2.39-kz.pdf" dest="cdrom/Documentation/Kazakh/User-2.39-kz.pdf"/>
-		<get src="http://prdownloads.sourceforge.net/greenstone/Paper-2.39-kz.pdf" dest="cdrom/Documentation/Kazakh/Paper-2.39-kz.pdf"/>
+		<antcall target="get-doc"><param name="docsrc" value="http://prdownloads.sourceforge.net/greenstone/Install-2.39-kz.pdf"/><param name="docdest" value="cdrom/Documentation/Kazakh/Install-2.39-kz.pdf"/></antcall>
+		<antcall target="get-doc"><param name="docsrc" value="http://prdownloads.sourceforge.net/greenstone/User-2.39-kz.pdf"/><param name="docdest" value="cdrom/Documentation/Kazakh/User-2.39-kz.pdf"/></antcall>
+		<antcall target="get-doc"><param name="docsrc" value="http://prdownloads.sourceforge.net/greenstone/Paper-2.39-kz.pdf"/><param name="docdest" value="cdrom/Documentation/Kazakh/Paper-2.39-kz.pdf"/></antcall>
 
 		<!-- insert the documented examples onto cdrom -->
@@ -356,3 +355,10 @@
 	</target>
 
+	<target name="get-doc">
+		<try>
+			<get src="${docsrc}" dest="${docdest}"/>
+		<catch>
+		</catch>
+		</try>
+	</target>
 </project>