Index: gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE.sh	(revision 22811)
+++ gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE.sh	(revision 22811)
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+for d in INTLTOOL PKG-CONFIG LIBXML GLIB LIBGSF; do
+    echo "    Running CASCADE-MAKE/$d.sh"
+
+    ./CASCADE-MAKE/$d.sh $*
+
+    if [ $? != 0 ] ; then
+	echo "Error encountered running CASCADE-MAKE/$d.sh"
+	exit 1
+    fi
+done
Index: gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/GLIB.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/GLIB.sh	(revision 22811)
+++ gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/GLIB.sh	(revision 22811)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=glib
+version=-2.24.2
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTGNOME_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/INTLTOOL.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/INTLTOOL.sh	(revision 22811)
+++ gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/INTLTOOL.sh	(revision 22811)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=intltool
+version=-0.40.6
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTGNOME_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/LIBGSF.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/LIBGSF.sh	(revision 22811)
+++ gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/LIBGSF.sh	(revision 22811)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=libgsf
+version=-1.14.18
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTGNOME_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/LIBXML.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/LIBXML.sh	(revision 22811)
+++ gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/LIBXML.sh	(revision 22811)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=libxml2
+version=-2.7.7
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTGNOME_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/PKG-CONFIG.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/PKG-CONFIG.sh	(revision 22811)
+++ gs2-extensions/gnome-lib/trunk/packages/CASCADE-MAKE/PKG-CONFIG.sh	(revision 22811)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=pkg-config
+version=-0.25
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTGNOME_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version