Index: main/trunk/greenstone3/web/interfaces/oran/js/gui_div.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/js/gui_div.js	(revision 22785)
+++ main/trunk/greenstone3/web/interfaces/oran/js/gui_div.js	(revision 22829)
@@ -47,5 +47,5 @@
 
     $(".element_type_gsf_metadata").draggable({
-            connectToSortable: '.gsf_choose_metadata, .gsf_template, .gsf_when, .gsf_otherwise, .td',
+            connectToSortable: '.gsf_choose_metadata, .gsf_when, .gsf_otherwise, .td-div',
             helper: 'clone',
             revert: 'invalid'
@@ -132,9 +132,9 @@
     
     $('td').click(function () {
-         console.log('td click');
+         console.log('td click *');
          return false;
     });
 
-    $(".td").resizable({
+    $(".td-div").resizable({
                 alsoResize: 'parent',
                 //containment: 'parent',
@@ -152,16 +152,18 @@
             deactivate: function(event, ui) { $(this).removeClass("droppable_hl"); }, // console.log("droppable deactivated")},
             drop: function(event, ui) {
-                 var span = document.createElement("div");
-                 span.setAttribute("class","td");
-                 span.setAttribute("style","height:50px");
-                 span.setAttribute("style","display:block");
+                 var neverempty = document.createElement("div");
+                 neverempty.setAttribute("class","neverempty block");
+                 neverempty.setAttribute("style","height:50px");
+                 neverempty.setAttribute("style","display:block");
+                 var text = document.createTextNode('NEVER EMPTY');
+                 neverempty.appendChild(text);
                  var td = document.createElement("td");
                  var div = document.createElement("div"); // class=\"td block\" title=\"td-div\"");
                  div.setAttribute("title","td-div");
-                 div.setAttribute("class","td block");
+                 div.setAttribute("class","td-div block");
                  div.setAttribute("style","margin-left:0px");
                  div.setAttribute("width","25px");
                  td.appendChild(div);
-                 div.appendChild(span);
+                 div.appendChild(neverempty);
                  var sep = document.createElement("td");
                  sep.setAttribute("class","droppable");
@@ -172,4 +174,5 @@
                  resize_tables($(this));
                  bind_td_sortable();
+                 bind_block_mouseover();
                  //bind_all_sortables();
             }
@@ -236,5 +239,5 @@
 {
     console.log('function bind_td_sortable()');
-    $('.td').sortable({
+    $('.td-div').sortable({
             'cursor':'pointer',
             'tolerance': 'pointer',
@@ -250,12 +253,13 @@
     });
 
-    $('.td').click(function () {    
+    $('.td-div').click(function () {    
          console.log('td class click');
-         return false;
-    });
-
-
-
-}
+         return true;
+    });
+
+
+
+}
+
 
 function bind_choose_metadata_sortable()
@@ -280,7 +284,8 @@
     $('.gsf_link').sortable({
             'cursor':'pointer',
-            'tolerance': 'pointer',
+            'tolerance': 'fit',
             'items':'.gsf_icon',
             'placeholder':'placeholder',
+            'connectWith':'.gsf_link',
             //'nested':'.gsf:metadata'
             stop: function(event, ui) {
Index: main/trunk/greenstone3/web/interfaces/oran/transform/layouts/main.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/layouts/main.xsl	(revision 22785)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/layouts/main.xsl	(revision 22829)
@@ -36,5 +36,6 @@
                 <script type="text/javascript" src="interfaces/oran/js/jquery-1.4.2.js"><xsl:text> </xsl:text></script>
                 <!-- <script type="text/javascript" src="interfaces/oran/js/jquery-ui-1.8.2.custom.min.js"><xsl:text> </xsl:text></script> -->
-                <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.4/jquery-ui.js"><xsl:text> </xsl:text></script>
+                <script type="text/javascript" src="interfaces/oran/js/jquery-ui-1.8rc1/ui/jquery-ui.js"><xsl:text> </xsl:text></script>
+                <!-- <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.4/jquery-ui.js"><xsl:text> </xsl:text></script> -->
                 <!-- <script type="text/javascript" src="http://code.jquery.com/jquery-1.4.2.min.js"><xsl:text> </xsl:text></script> -->
                 <!-- <script type="text/javascript" src="interfaces/oran/js/jquery-ui-1.8rc1/jquery-1.4.1.js"><xsl:text> </xsl:text></script> -->
Index: main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui-templates.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui-templates.xsl	(revision 22785)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui-templates.xsl	(revision 22829)
@@ -36,5 +36,6 @@
     <!-- ********** GSF:CHOOSE-METADATA ********** -->
         <xsl:variable name="choose_metadata">
-            <div class="gsf_choose_metadata css_gsf_choose_metadata block" title="gsf:choose-metadata">CHOOSE <a href="#" class="minmax">[-]</a><a href="#" class="remove">[x]</a></div>
+            <table class="header"><tbody><tr><td>CHOOSE</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
+            <div class="gsf_choose_metadata css_gsf_choose_metadata block" title="gsf:choose-metadata"><table class="header"><tbody><tr><td>CHOOSE</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table></div>
         </xsl:variable>
 
Index: main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui.xsl	(revision 22785)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui.xsl	(revision 22829)
@@ -217,5 +217,5 @@
                 <tbody>
                 <tr class="tr">
-                <td class="droppable" width="10px"/>
+                <td class="droppable" width="10px"></td>
                 <xsl:apply-templates mode="xml-to-gui">
                     <xsl:with-param name="depth" select="$depth"/>
@@ -341,5 +341,7 @@
         <!-- <td class="td block resizable" title="td" valign="{@valign}" style='overflow: hidden;'> -->
         <td valign="{@valign}" title="td">
-            <div class="td block" title="td-div">
+            <div class="td-div block" title="td-div">
+            <div class="neverempty block" style="height:50px">NEVER EMPTY</div>
+
             <!-- <xsl:text>&lt;td</xsl:text>valign=<xsl:value-of select="@valign"/><xsl:text>&gt;</xsl:text><a href="#" class="minmax">[-]</a><a href="#" class="remove">[x]</a> -->
                 <xsl:apply-templates mode="xml-to-gui">