Index: /main/trunk/gs2-core/build-src/src/Makefile
===================================================================
--- /main/trunk/gs2-core/build-src/src/Makefile	(revision 22831)
+++ /main/trunk/gs2-core/build-src/src/Makefile	(revision 22832)
@@ -1,12 +1,19 @@
+###########################################################################
+#
+# Makefile -- Makefile for build-src/src
+#
+# By Michael Dewsnip
+#
+# Copyright (C) 2010  DL Consulting Ltd.
+#
+###########################################################################
+
 
 all:
-	(cd java/org/nzdl/gsdl && $(MAKE) all)
+	cd java/org/nzdl/gsdl && $(MAKE) all
+
+install:
+	cp java/org/nzdl/gsdl/ApplyXSLT.jar ../../bin/java
 
 clean:
-	(cd java/org/nzdl/gsdl && $(MAKE) clean)
-
-distclean:
-	(cd java/org/nzdl/gsdl && $(MAKE) distclean)
-
-install:
-	(cp java/org/nzdl/gsdl/ApplyXSLT.jar ../../bin/java)
+	cd java/org/nzdl/gsdl && $(MAKE) clean
Index: /main/trunk/gs2-core/build-src/src/win32.mak
===================================================================
--- /main/trunk/gs2-core/build-src/src/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/build-src/src/win32.mak	(revision 22832)
@@ -1,9 +1,19 @@
+###########################################################################
+#
+# win32.mak -- Makefile for build-src\src
+#
+# By Michael Dewsnip
+#
+# Copyright (C) 2010  DL Consulting Ltd.
+#
+###########################################################################
+
 
 all:
-	(cd java\org\nzdl\gsdl && winMake.bat all)
+	cd java\org\nzdl\gsdl && winMake.bat all
+
+install:
+	copy java\org\nzdl\gsdl\ApplyXSLT.jar ..\..\bin\java
 
 clean:
-	(cd java\org\nzdl\gsdl && winMake.bat clean)
-
-install:
-	(copy java\org\nzdl\gsdl\ApplyXSLT.jar ..\..\bin\java)
+	cd java\org\nzdl\gsdl && winMake.bat clean
Index: /main/trunk/gs2-core/build-src/win32.mak
===================================================================
--- /main/trunk/gs2-core/build-src/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/build-src/win32.mak	(revision 22832)
@@ -13,13 +13,10 @@
 
 
-all: win32.mak $(SUBDIRS)
+all:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak && cd $(MAKEDIR)
 
-install: win32.mak $(SUBDIRS)
+install:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak install && cd $(MAKEDIR)
 
-$(SUBDIRS): FORCE
-	cd "$@"
-	$(MAKE) /f win32.mak
-	$(MAKE) /f win32.mak install
-	cd "$(MAKEDIR)"
-
-FORCE:
+clean:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak clean && cd $(MAKEDIR)
Index: /main/trunk/gs2-core/common-src/indexers/Makefile
===================================================================
--- /main/trunk/gs2-core/common-src/indexers/Makefile	(revision 22831)
+++ /main/trunk/gs2-core/common-src/indexers/Makefile	(revision 22832)
@@ -1,12 +1,19 @@
+###########################################################################
+#
+# Makefile -- Makefile for common-src/indexers
+#
+# By Michael Dewsnip
+#
+# Copyright (C) 2010  DL Consulting Ltd.
+#
+###########################################################################
+
 
 all:
-	(cd lucene-gs && $(MAKE) all)
+	cd lucene-gs && $(MAKE) all
+
+install:
+	cp lucene-gs/LuceneWrapper.jar ../../bin/java
 
 clean:
-	(cd lucene-gs && $(MAKE) clean)
-
-distclean:
-	(cd lucene-gs && $(MAKE) distclean)
-
-install:
-	(cp lucene-gs/LuceneWrapper.jar ../../bin/java)
+	cd lucene-gs && $(MAKE) clean
Index: /main/trunk/gs2-core/common-src/indexers/win32.mak
===================================================================
--- /main/trunk/gs2-core/common-src/indexers/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/common-src/indexers/win32.mak	(revision 22832)
@@ -1,9 +1,19 @@
+###########################################################################
+#
+# win32.mak -- Makefile for common-src\indexers
+#
+# By Michael Dewsnip
+#
+# Copyright (C) 2010  DL Consulting Ltd.
+#
+###########################################################################
+
 
 all:
-	(cd lucene-gs && winMake.bat all)
+	cd lucene-gs && winMake.bat all
+
+install:
+	copy lucene-gs\LuceneWrapper.jar ..\..\bin\java
 
 clean:
-	(cd lucene-gs && winMake.bat clean)
-
-install:
-	(copy lucene-gs\LuceneWrapper.jar ..\..\bin\java)
+	cd lucene-gs && winMake.bat clean
Index: /main/trunk/gs2-core/common-src/packages/expat/Makefile
===================================================================
--- /main/trunk/gs2-core/common-src/packages/expat/Makefile	(revision 22831)
+++ /main/trunk/gs2-core/common-src/packages/expat/Makefile	(revision 22832)
@@ -1,12 +1,19 @@
+###########################################################################
+#
+# Makefile -- Makefile for common-src/packages/expat
+#
+# By Michael Dewsnip
+#
+# Copyright (C) 2010  DL Consulting Ltd.
+#
+###########################################################################
+
 
 all:
-	(cd expat-1.95.8 && $(MAKE) all install)
+	cd expat-1.95.8 && $(MAKE) all install
+
+install:
+	cd expat-1.95.8 && $(MAKE) install
 
 clean:
-	(cd expat-1.95.8 && $(MAKE) clean)
-
-distclean:
-	(cd expat-1.95.8 && $(MAKE) distclean)
-
-install:
-	@echo Expat installed
+	cd expat-1.95.8 && $(MAKE) clean
Index: /main/trunk/gs2-core/common-src/packages/expat/win32.mak
===================================================================
--- /main/trunk/gs2-core/common-src/packages/expat/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/common-src/packages/expat/win32.mak	(revision 22832)
@@ -1,9 +1,19 @@
+###########################################################################
+#
+# win32.mak -- Windows Makefile for common-src\packages\expat
+#
+# By Michael Dewsnip
+#
+# Copyright (C) 2010  DL Consulting Ltd.
+#
+###########################################################################
+
 
 all:
-	(cd expat-1.95.8 && $(MAKE) /f win32.mak all)
+	cd expat-1.95.8 && $(MAKE) /f win32.mak all install
+
+install:
+	cd expat-1.95.8 && $(MAKE) /f win32.mak install
 
 clean:
-	(cd expat-1.95.8 && $(MAKE) /f win32.mak clean)
-
-install:
-	(cd expat-1.95.8 && $(MAKE) /f win32.mak install)
+	cd expat-1.95.8 && $(MAKE) /f win32.mak clean
Index: /main/trunk/gs2-core/common-src/packages/sqlite/Makefile
===================================================================
--- /main/trunk/gs2-core/common-src/packages/sqlite/Makefile	(revision 22831)
+++ /main/trunk/gs2-core/common-src/packages/sqlite/Makefile	(revision 22832)
@@ -1,12 +1,19 @@
+###########################################################################
+#
+# Makefile -- Makefile for common-src/packages/sqlite
+#
+# By Michael Dewsnip
+#
+# Copyright (C) 2010  DL Consulting Ltd.
+#
+###########################################################################
+
 
 all:
-	(cd sqlite-amalgamation-3.5.9 && $(MAKE) all install)
+	cd sqlite-amalgamation-3.5.9 && $(MAKE) all install
+
+install:
+	cd sqlite-amalgamation-3.5.9 && $(MAKE) install
 
 clean:
-	(cd sqlite-amalgamation-3.5.9 && $(MAKE) clean)
-
-distclean:
-	(cd sqlite-amalgamation-3.5.9 && $(MAKE) distclean)
-
-install:
-	@echo SQLite installed
+	cd sqlite-amalgamation-3.5.9 && $(MAKE) clean
Index: /main/trunk/gs2-core/common-src/packages/sqlite/win32.mak
===================================================================
--- /main/trunk/gs2-core/common-src/packages/sqlite/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/common-src/packages/sqlite/win32.mak	(revision 22832)
@@ -1,9 +1,19 @@
+###########################################################################
+#
+# win32.mak -- Windows Makefile for common-src\packages\sqlite
+#
+# By Michael Dewsnip
+#
+# Copyright (C) 2010  DL Consulting Ltd.
+#
+###########################################################################
+
 
 all:
-	(cd sqlite-amalgamation-3.5.9 && $(MAKE) /f win32.mak all)
+	cd sqlite-amalgamation-3.5.9 && $(MAKE) /f win32.mak all install
+
+install:
+	cd sqlite-amalgamation-3.5.9 && $(MAKE) /f win32.mak install
 
 clean:
-	(cd sqlite-amalgamation-3.5.9 && $(MAKE) /f win32.mak clean)
-
-install:
-	(cd sqlite-amalgamation-3.5.9 && $(MAKE) /f win32.mak install)
+	cd sqlite-amalgamation-3.5.9 && $(MAKE) /f win32.mak clean
Index: /main/trunk/gs2-core/common-src/src/lib/win32.mak
===================================================================
--- /main/trunk/gs2-core/common-src/src/lib/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/common-src/src/lib/win32.mak	(revision 22832)
@@ -69,7 +69,5 @@
 install: $(LIBRARIES)
 
-distclean:
-	del *.obj $(LIBRARIES) win32.mak
-
 clean:
-	del *.obj $(LIBRARIES)
+	if EXIST *.obj del *.obj
+	if EXIST $(LIBRARIES) del $(LIBRARIES)
Index: /main/trunk/gs2-core/common-src/win32.mak
===================================================================
--- /main/trunk/gs2-core/common-src/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/common-src/win32.mak	(revision 22832)
@@ -26,13 +26,10 @@
 
 
-all: win32.mak $(SUBDIRS)
+all:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak && cd $(MAKEDIR)
 
-install: win32.mak $(SUBDIRS)
+install:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak install && cd $(MAKEDIR)
 
-$(SUBDIRS): FORCE
-	cd "$@"
-	$(MAKE) /f win32.mak
-	$(MAKE) /f win32.mak install
-	cd "$(MAKEDIR)"
-
-FORCE:
+clean:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak clean && cd $(MAKEDIR)
Index: /main/trunk/gs2-core/runtime-src/src/colservr/win32.mak
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/colservr/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/runtime-src/src/colservr/win32.mak	(revision 22832)
@@ -79,7 +79,5 @@
 install: $(LIBRARIES)
 
-distclean:
-	del *.obj $(LIBRARIES) win32.mak
-
 clean:
-	del *.obj $(LIBRARIES)
+	if EXIST *.obj del *.obj
+	if EXIST $(LIBRARIES) del $(LIBRARIES)
Index: /main/trunk/gs2-core/runtime-src/src/oaiservr/win32.mak
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/oaiservr/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/runtime-src/src/oaiservr/win32.mak	(revision 22832)
@@ -85,7 +85,5 @@
 	copy $(CGIBIN_PROGRAMS) $(CGIBIN_DIR)
 
-distclean:
-	del *.obj $(CGIBIN_PROGRAMS) win32.mak
-
 clean:
-	del *.obj $(CGIBIN_PROGRAMS)
+	if EXIST *.obj del *.obj
+	if EXIST $(CGIBIN_PROGRAMS) del $(CGIBIN_PROGRAMS)
Index: /main/trunk/gs2-core/runtime-src/src/protocol/win32.mak
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/protocol/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/runtime-src/src/protocol/win32.mak	(revision 22832)
@@ -46,7 +46,5 @@
 install: $(LIBRARIES)
 
-distclean:
-	del *.obj $(LIBRARIES) win32.mak
-
 clean:
-	del *.obj $(LIBRARIES)
+	if EXIST *.obj del *.obj
+	if EXIST $(LIBRARIES) del $(LIBRARIES)
Index: /main/trunk/gs2-core/runtime-src/src/recpt/win32.mak
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/recpt/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/runtime-src/src/recpt/win32.mak	(revision 22832)
@@ -121,7 +121,5 @@
 	copy $(CGIBIN_PROGRAMS) $(CGIBIN_DIR)
 
-distclean:
-	del *.obj $(CGIBIN_PROGRAMS) win32.mak
-
 clean:
-	del *.obj $(CGIBIN_PROGRAMS)
+	if EXIST *.obj del *.obj
+	if EXIST $(CGIBIN_PROGRAMS) del $(CGIBIN_PROGRAMS)
Index: /main/trunk/gs2-core/runtime-src/win32.mak
===================================================================
--- /main/trunk/gs2-core/runtime-src/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/runtime-src/win32.mak	(revision 22832)
@@ -13,13 +13,10 @@
 
 
-all: win32.mak $(SUBDIRS)
+all:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak && cd $(MAKEDIR)
 
-install: win32.mak $(SUBDIRS)
+install:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak install && cd $(MAKEDIR)
 
-$(SUBDIRS): FORCE
-	cd "$@"
-	$(MAKE) /f win32.mak
-	$(MAKE) /f win32.mak install
-	cd "$(MAKEDIR)"
-
-FORCE:
+clean:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak clean && cd $(MAKEDIR)
Index: /main/trunk/gs2-core/win32.mak
===================================================================
--- /main/trunk/gs2-core/win32.mak	(revision 22831)
+++ /main/trunk/gs2-core/win32.mak	(revision 22832)
@@ -22,13 +22,10 @@
 
 
-all: win32.mak $(SUBDIRS)
+all:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak && cd $(MAKEDIR)
 
-install: win32.mak $(SUBDIRS)
+install:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak install && cd $(MAKEDIR)
 
-$(SUBDIRS): FORCE
-	cd "$@"
-	$(MAKE) /f win32.mak
-	$(MAKE) /f win32.mak install
-	cd "$(MAKEDIR)"
-
-FORCE:
+clean:
+	@FOR %i IN ($(SUBDIRS)) DO cd %i && $(MAKE) /f win32.mak clean && cd $(MAKEDIR)